Loading...
Searching...
No Matches
mbedtls_x509_subject_alternative_name Struct Reference
X.509 module

`#include <x509.h>`

Collaboration diagram for mbedtls_x509_subject_alternative_name:
[legend]

## Data Fields

int | type
union { |
mbedtls_x509_san_other_name other_name |
mbedtls_x509_name directory_name |
mbedtls_x509_buf unstructured_name |
} | san

## Detailed Description

A structure for holding the parsed Subject Alternative Name, according to type.

Future versions of the library may add new fields to this structure or to its embedded union and structure.

Definition at line 292 of file x509.h.

## Field Documentation

## directory_name

mbedtls_x509_name mbedtls_x509_subject_alternative_name::directory_name

Definition at line 296 of file x509.h.

## other_name

mbedtls_x509_san_other_name mbedtls_x509_subject_alternative_name::other_name

Definition at line 295 of file x509.h.

## [union]

union { ... } mbedtls_x509_subject_alternative_name::san

A union of the supported SAN types

## type

int mbedtls_x509_subject_alternative_name::type

The SAN type, value of MBEDTLS_X509_SAN_XXX.

Definition at line 293 of file x509.h.

## unstructured_name

mbedtls_x509_buf mbedtls_x509_subject_alternative_name::unstructured_name

The buffer for the unstructured types. rfc822Name, dnsName and uniformResourceIdentifier are currently supported.

Definition at line 297 of file x509.h.

The documentation for this struct was generated from the following file:

- x509.h